Name:		mdk
Version:	1.2.5
Release:	2%{?dist}
Summary:	GNU MIX Development Kit

Group:		Applications/Emulators
License:	GPLv3+ and GFDL
URL:		http://www.gnu.org/software/mdk/
Source0:	http://ftp.gnu.org/gnu/mdk/v1.2.5/%{name}-%{version}.tar.gz
Source1:	mdk.desktop
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	guile-devel
BuildRequires:	libglade2-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package	doc
Summary:	GNU MIX Development Kit Documentation and Samples

%description
MDK stands for MIX Development Kit, and provides tools for developing
and executing, in a MIX virtual machine, MIXAL programs.

The MIX is Donald Knuth's mythical computer, described in the first
volume of The Art of Computer Programming, which is programmed using
MIXAL, the MIX assembly language.

MDK includes a MIXAL assembler (mixasm) and a MIX virtual machine
(mixvm) with a command line interface.  In addition, a GTK+ GUI to
mixvm, called gmixvm, is provided; and, in case you are an Emacs guy,
you can try misc/mixvm.el, which allows running mixvm inside an Emacs
GUD buffer.

Using these interfaces, you can debug your MIXAL programs at source
code level, and read/modify the contents of all the components of the
MIX computer (including block devices, which are simultated using the
file system).

%description doc
Samples and documentation for the MDK package.

%prep
%setup -q

%build
%configure
# This package doesn't suppot parallel make
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
desktop-file-install \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	%{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO THANKS
%{_bindir}/mixasm
%{_bindir}/mixvm
%{_bindir}/gmixvm
%{_bindir}/mixguile
%{_datadir}/mdk
%{_infodir}/*
%{_datadir}/applications/mdk.desktop

%files doc
%defattr(-,root,root,-)
%doc samples doc

%changelog
* Sun Nov 15 2009 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.5-2
- Added missing BR

* Sun Oct 18 2009 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.5-1
- Updated to a new upstream version

* Wed Sep 16 2009 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.4-2
- Added desktop file
- Changed licence from GPLv3 to GPLv3+
- Documentation and samples are now in separate package
- Removed unnecessary build requires

* Sun Dec 29 2008 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.4-1
- Initial package
